The Wine development release 7.2 is now available.

What's new in this release (see below for details):
  - Large scale cleanup to support 'long' type with MSVCRT.
  - Mono engine updated to version 7.1.1.
  - More theming fixes in common controls.
  - Beginnings of a WMA decoder.
  - Support for 64-bit time_t.
  - Various bug fixes.

The source is available from the following locations:

  https://dl.winehq.org/wine/source/7.x/wine-7.2.tar.xz
  http://mirrors.ibiblio.org/wine/source/7.x/wine-7.2.tar.xz

Binary packages for various distributions will be available from:

  https://www.winehq.org/download

You will find documentation on https://www.winehq.org/documentation

You can also get the current source directly from the git
repository. Check https://www.winehq.org/git for details.

Wine is available thanks to the work of many people. See the file
AUTHORS in the distribution for the complete list.

----------------------------------------------------------------

Bugs fixed in 7.2 (total 23):

  12732  Nota Bene crashes on install
  33086  QQ 2013 Beta2: text in input box can't display normally
  34326  uplive.exe from TypeEasy crashes
  36566  Half-Life's (CD Version) Menu refuses to work after a while
  37609  Macromedia Freehand 9 demo hangs during startup
  38809  QQ 7.3 Light crashes randomly
  40827  VMWare VSphere 4.x/5.x/6.x clients fail to install
  44202  undname.c fails to parse symbols with rvalue-reference semantics '&&'
  46284  Call of Juarez crashes with unimplemented function d3dx9_29.dll.D3DXSHProjectCubeMap
  47463  QQ 9.1.5 crash on start.
  48815  user32:win "unexpected 0x738 message" Windows 10 failures
  50352  Maximum sockets per process is set very low
  50842  The 64-bit msado15:msado15 test crashes
  51130  user32:win test_SetActiveWindow() has 2 failures on Vista to Windows 8.1
  51392  user32:monitor breaks user32:win
  51513  Multiple applications (PG Offline 4.0.907, lessmsi v1.10.0, MIDIopsy 1.2, Quickroute) crash on start with IndexOutOfRangeException with Wine-Mono
  51754  Iris Down CountDown Crash at start - dotnet4.5
  51798  MAmidiMEmo doesn't start up ("System.resources" is required)
  52433  TASInput (Mupen64-RR-Lua): checkbox is not cleared correctly
  52436  In Light Blue theme, checkable toggle buttons (BS_AUTOCHECKBOX) look unchecked when hovered
  52490  Clipboard.GetText() doesn't work
  52494  shell32 progman_dde tests crash if run immediately after prefix creation
  52510  alt:V mod for Grand Theft Auto V fails due to missing concrt140._Byte_reverse_table@details@Concurrency@@3QBEB

----------------------------------------------------------------

Changes since 7.1:

Alex Henrie (12):
      msi: Fix memory leak in get_fusion_filename (Coverity).
      winhttp: Fix memory leak on error path in WinHttpCrackUrl (Coverity).
      adsldp: Fix memory leak on error path in search_ExecuteSearch (Coverity).
      conhost: Fix memory leak on error path in create_screen_buffer (cppcheck).
      dbghelp: Fix memory leak on error path in dwarf2_read_range (cppcheck).
      ws2_32: Fix memory leak on error path in get_local_ips (cppcheck).
      ws2_32: Fix memory leaks on error paths in unix_gethostby* (scan-build).
      explorer: Only try to destroy the IShellWindows object if it exists.
      sane: Fix memory leak in create_item (Coverity).
      winspool: Fix memory leaks on error path in DeviceCapabilitiesA (Coverity).
      user32/tests: Expect DialogBoxParam to set ERROR_CANNOT_FIND_WND_CLASS.
      shell32/tests: Wait for window to close in check_window_exists.

Alexandre Julliard (9):
      ntdll: Consistently use time_t in timezone matching.
      configure: Enable 64-bit time_t on Linux.
      configure: Only define _TIME_BITS together with _FILE_OFFSET_BITS.
      msado15: Fix some LONG/LONG_PTR mismatches.
      faudio: Import upstream release 22.02.
      make_xftmpl: Use the standard output buffer routines.
      winebuild: Store length of Unicode strings explicitly.
      wrc: Use compare_name_id() for resource translations.
      tools: Consistently use xmalloc/xrealloc/xstrdup everywhere.

Alistair Leslie-Hughes (11):
      msdasql: Fix printf format warnings with long types.
      msdasql: Add ITransaction to session interface.
      msdasql/tests: Fix printf format warnings with long types.
      dpnet: Fix long types printf warnings.
      xactengine: Fix long types printf warnings.
      dplayx: Build without -DWINE_NO_LONG_TYPES.
      xactengine3_7/tests: Build without -DWINE_NO_LONG_TYPES.
      msdasql: ICommandText Execute use ODBC to fetch results.
      xolehlp: Build without -DWINE_NO_LONG_TYPES.
      wow64: Build without -DWINE_NO_LONG_TYPES.
      xaudio2_7/tests: Build without -DWINE_NO_LONG_TYPES.

Andrey Gusev (2):
      api-ms-win-security-lsalookup-ansi-l2-1-0: Add dll.
      winegstreamer: Handle EnableDiscreteOutput and SpeakerConfig settings in WMSyncReader_SetOutputSetting().

André Zwing (4):
      shlwapi: Fix some spec file entries.
      advapi32: Fix some spec file entries.
      mfplat: Remove duplicated space in spec.
      ntdll: Fix some spec file entries.

Aurimas Fišeras (1):
      po: Update Lithuanian translation.

Bastien Orivel (1):
      ws2_32: Fix setsockopt(TCP_NODELAY) when optlen is less than 4.

Bernhard Kölbl (5):
      include/windows.foundation.collections.idl: Add IVector<T> interface.
      include/windows.foundation.idl: Add IAsyncAction interface.
      include/windows.foundation.idl: Add more declares.
      include/windows.globalization.idl: Add Language class and interfaces.
      include: Add windows.media.speechrecognition.idl.

Daniel Lehman (3):
      msxml3/tests: Add test saving XML with non-english characters.
      msxml3: Make utf-8 the default encoding.
      include: Add _sscanf_l.

Derek Lesho (1):
      userenv: Set ProgramData in CreateEnvironmentBlock.

Dmitry Timoshkov (4):
      user32/tests: Actually test ShowWindow() return value.
      user32/tests: Add more missing ShowWindow() return value checks.
      user32/tests: Add more tests for WM_NCCALCSIZE.
      user32: DefWindowProc(WM_NCCALCSIZE) should return 0.

Eric Pouech (207):
      evr: Use correct integral type.
      include/msvcrt: Add attribute((format)) to printf and scanf -like APIs.
      include: Define HandleToU?Long to return a long (as SDK does).
      winedbg: Use correct integral type.
      dbgeng: Use correct integral type.
      dsound: Use correct integral type.
      itss: Use correct integral type.
      joy.cpl: Use correct integral type.
      ntdll: Use correct integral type.
      include/basetsd.h: Define PtrTo(Ul|L)ong to return a long (as SDK does).
      dwrite: Use correct integral types.
      jscript: Use correct integral type.
      mshtml: Use correct integral type.
      msxml3: Use correct integral type.
      oleaut32: Use correct integral type.
      oledb32: Use correct integral type.
      comdlg32: Removed useless casts to long.
      kernelbase: Removed useless casts to long.
      mciseq: Removed useless casts to long.
      bcrypt: In unixlib, don't use Windows long type.
      kerberos: In unixlib, don't use Windows long type.
      netapi32: In unixlib, don't use Windows long type.
      win32u: Change NtGdiPolyPolyDraw parameter to ULONG.
      msvcrt*: Use correct integral type.
      d2d1: Build without -DWINE_NO_LONG_TYPES.
      d3d10_1: Build without -DWINE_NO_LONG_TYPES.
      windowscodecs: Remove useless casts to long.
      ole32: Use correct integral type.
      riched20: Use correct integral type.
      scrobj: Use correct integral type.
      setupapi: Use correct integral type.
      shell32: Use correct integral type.
      taskschd: Use correct integral type.
      user32: Use correct integral type.
      mfplay: Use correct integral type.
      mfmediaengine: Use correct integral type.
      mfreadwrite: Use correct integral types.
      uxtheme: Use correct integral type.
      mf: Use correct integral types.
      mfplat: Use correct integral types.
      vbscript: Use correct integral type.
      conhost/tests: Enable compilation with long types.
      find/tests: Enable compilation with long types.
      fsutil/tests: Enable compilation with long types.
      regedit/tests: Enable compilation with long types.
      reg/tests: Enable compilation with long types.
      schtasks/tests: Enable compilation with long types.
      services/tests: Enable compilation with long types.
      wscript/tests: Enable compilation with long types.
      xcopy/tests: Enable compilation with long types.
      msvcrt: Use correct integral types in structs.
      msvcp: Use correct integral types.
      msvcrt: Add cast to avoid 'long' types warning in _beginthreadex.
      msvcrt: Add casts to avoid 'long' types warning in locale functions.
      d3dx11/tests: Build without -DWINE_NO_LONG_TYPES.
      d2d1/tests: Build without -DWINE_NO_LONG_TYPES.
      d3d10_1/tests: Build without -DWINE_NO_LONG_TYPES.
      wldap32: Fix compilation in 32-bit.
      attrib: Enable compilation with long types.
      cabarc: Enable compilation with long types.
      chcp.com: Enable compilation with long types.
      conhost: Enable compilation with long types.
      [cw]script: Enable compilation with long types.
      dxdiag: Enable compilation with long types.
      eject: Enable compilation with long types.
      explorer: Enable compilation with long types.
      fsutil: Enable compilation with long types.
      msiexec: Enable compilation with long types.
      net: Enable compilation with long types.
      netstat: Enable compilation with long types.
      ping: Enable compilation with long types.
      plugplay: Enable compilation with long types.
      presentationfontcache: Enable compilation with long types.
      regedit: Enable compilation with long types.
      reg: Enable compilation with long types.
      regsvr32: Enable compilation with long types.
      rpcss: Enable compilation with long types.
      wbemprox: Use correct integral type.
      winhttp: Use correct integral type.
      wldap32: Use correct integral type.
      winmm: Use correct integral type.
      xaudio2_7: Use correct integral type.
      msvcr*: Use correct integral type in Interlocked* calls.
      msvcrt: Use correct integral type in _except1.
      gdiplus: Use correct integral type.
      vcomp: Use correct integral type.
      windowscodecs: Use correct integral type.
      sc: Enable compilation with long types.
      services: Enable compilation with long types.
      spoolsv: Enable compilation with long types.
      start: Enable compilation with long types.
      svchost: Enable compilation with long types.
      termsv: Enable compilation with long types.
      uninstaller: Enable compilation with long types.
      whoami: Enable compilation with long types.
      wineboot: Enable compilation with long types.
      winebrowser: Enable compilation with long types.
      winecfg: Enable compilation with long types.
      wineconsole: Enable compilation with long types.
      winedbg: Enable compilation with long types.
      winedevice: Enable compilation with long types.
      winemenubuilder: Enable compilation with long types.
      winemsibuilder: Enable compilation with long types.
      winetest: Enable compilation with long types.
      winhlp32: Enable compilation with long types.
      winmgmt: Enable compilation with long types.
      winoldap.mod16: Enable compilation with long types.
      wordpad: Enable compilation with long types.
      wuauserv: Enable compilation with long types.
      wusa: Enable compilation with long types.
      xcopy: Enable compilation with long types.
      msi: Use correct integral type.
      acledit: Enable compilation with long types.
      aclui: Enable compilation with long types.
      activeds: Enable compilation with long types.
      actxprxy: Enable compilation with long types.
      adsldp: Enable compilation with long types.
      advapi32: Enable compilation with long types.
      advpack: Enable compilation with long types.
      amsi: Enable compilation with long types.
      amstream: Enable compilation with long types.
      apphelp: Enable compilation with long types.
      appwiz.cpl: Enable compilation with long types.
      atl: Enable compilation with long types.
      authz: Enable compilation with long types.
      avicap32: Enable compilation with long types.
      avifil32: Enable compilation with long types.
      msvcp: Build without -DWINE_NO_LONG_TYPES.
      msvcr: Build without -DWINE_NO_LONG_TYPES.
      d3d10/tests: Build without -DWINE_NO_LONG_TYPES.
      d3dcompiler/tests: Build without -DWINE_NO_LONG_TYPES.
      d3d10: Build without -DWINE_NO_LONG_TYPES.
      d3dcompiler: Build without -DWINE_NO_LONG_TYPES.
      schtasks: Enable compilation with long types.
      browseui: Enable compilation with long types.
      cabinet: Enable compilation with long types.
      cards: Enable compilation with long types.
      clusapi: Enable compilation with long types.
      comdlg32: Enable compilation with long types.
      commdlg.dll16: Enable compilation with long types.
      compobj.dll16: Enable compilation with long types.
      comsvcs: Enable compilation with long types.
      crypt32: Enable compilation with long types.
      cryptdlg: Enable compilation with long types.
      cryptnet: Enable compilation with long types.
      cryptui: Enable compilation with long types.
      credui: Enable compilation with long types.
      davclnt: Enable compilation with long types.
      dbghelp: Enable compilation with long types.
      dhcpcsvc: Enable compilation with long types.
      dhtmled.ocx: Enable compilation with long types.
      difxapi: Enable compilation with long types.
      directmanipulation: Enable compilation with long types.
      dispex: Enable compilation with long types.
      mf: Build without -DWINE_NO_LONG_TYPES.
      xapofx1_1: Enable compilation with long types.
      dmcompos: Enable compilation with long types.
      dmloader: Enable compilation with long types.
      dmscript: Enable compilation with long types.
      dmstyle: Enable compilation with long types.
      dpvoice: Enable compilation with long types.
      dpwsockx: Enable compilation with long types.
      dsdmo: Enable compilation with long types.
      dsquery: Enable compilation with long types.
      dssenh: Enable compilation with long types.
      dsuiext: Enable compilation with long types.
      dwmapi: Enable compilation with long types.
      dxdiagn: Enable compilation with long types.
      explorerframe: Enable compilation with long types.
      faultrep: Enable compilation with long types.
      fltlib: Enable compilation with long types.
      fntcache: Enable compilation with long types.
      fontsub: Enable compilation with long types.
      fusion: Enable compilation with long types.
      gameux: Enable compilation with long types.
      gdi.exe16: Enable compilation with long types.
      gphoto2.ds: Enable compilation with long types.
      hal: Enable compilation with long types.
      hhctrl.ocx: Enable compilation with long types.
      hlink: Enable compilation with long types.
      hnetcfg: Enable compilation with long types.
      gdi32: Enable compilation with long types.
      mfplay: Build without -DWINE_NO_LONG_TYPES.
      mfmediaengine: Build without -DWINE_NO_LONG_TYPES.
      iccvid: Enable compilation with long types.
      ieframe: Enable compilation with long types.
      ifsmgr.vxd: Enable compilation with long types.
      imaadp32.acm: Enable compilation with long types.
      imagehlp: Enable compilation with long types.
      imm32: Enable compilation with long types.
      inetcomm: Enable compilation with long types.
      inetcpl.cpl: Enable compilation with long types.
      inetmib1: Enable compilation with long types.
      infosoft: Enable compilation with long types.
      inseng: Enable compilation with long types.
      iphlpapi: Enable compilation with long types.
      itss: Enable compilation with long types.
      joy.cpl: Enable compilation with long types.
      jscript: Enable compilation with long types.
      jsproxy: Enable compilation with long types.
      kernel32: Enable compilation with long types.
      kernelbase: Enable compilation with long types.
      krnl386.exe16: Enable compilation with long types.
      ktmw32: Enable compilation with long types.
      l3codeca.acm: Enable compilation with long types.
      localspl: Enable compilation with long types.
      localui: Enable compilation with long types.

Esme Povirk (16):
      include: Add ISymUnmanagedWriter definition.
      diasymreader: Add stub dll.
      diasymreader: Register CLSID_CorSymWriter_SXS.
      mscoree: Update Wine Mono to 7.1.1.
      mscoree: Use wide string syntax in create_monodata.
      mscoree: Fix a misleading parameter name.
      mscoree: Add support for unmanaged classes in .NET Framework.
      diasymreader: Stub ISymUnmanagedWriter.
      diasymreader: Stub ISymUnmanagedWriter5.
      diasymreader: Return success from SymWriter_Initialize.
      diasymreader: Implement SymWriter_GetDebugInfo.
      diasymreader: Stub IPdbWriter.
      diasymreader: Implement SymWriter_GetSignatureAge.
      diasymreader: Return success from methods with no output variables.
      diasymreader: Return success from SymWriter_OpenScope.
      diasymreader: Stub ISymUnmanagedDocumentWriter.

Fabian Maurer (24):
      mfplat/tests: Avoid "misleading indentation" warnings.
      msacm32/tests: Avoid "misleading indentation" warnings.
      propsys/tests: Avoid "misleading indentation" warnings.
      psapi/tests: Avoid "misleading indentation" warnings.
      quartz/tests: Avoid "misleading indentation" warnings.
      riched20/tests: Avoid "misleading indentation" warnings.
      rpcrt4/tests: Avoid "misleading indentation" warnings.
      schedsvc/tests: Avoid "misleading indentation" warnings.
      scrrun/tests: Avoid "misleading indentation" warnings.
      secur32/tests: Avoid "misleading indentation" warnings.
      setupapi/tests: Avoid "misleading indentation" warnings.
      shell32/tests: Avoid "misleading indentation" warnings.
      shlwapi/tests: Avoid "misleading indentation" warnings.
      taskschd/tests: Avoid "misleading indentation" warnings.
      user32/tests: Avoid "misleading indentation" warnings.
      uxtheme/tests: Avoid "misleading indentation" warnings.
      wbemdisp/tests: Avoid "misleading indentation" warnings.
      wbemprox/tests: Avoid "misleading indentation" warnings.
      wiaservc/tests: Avoid "misleading indentation" warnings.
      windowscodecs/tests: Avoid "misleading indentation" warnings.
      winhttp/tests: Avoid "misleading indentation" warnings.
      wininet/tests: Avoid "misleading indentation" warnings.
      ws2_32/tests: Avoid "misleading indentation" warnings.
      xmllite/tests: Avoid "misleading indentation" warnings.

Floris Renaud (1):
      po: Update Dutch translation.

Hans Leidekker (17):
      wbemprox: Use CRT allocation functions.
      wbemdisp: Use CRT allocation functions.
      webservices: Use CRT allocation functions.
      msi: Use CRT allocation functions.
      msi/tests: Use CRT allocation functions.
      kerberos: Build without -DWINE_NO_LONG_TYPES.
      bcrypt: Build without -DWINE_NO_LONG_TYPES.
      msi: Build without -DWINE_NO_LONG_TYPES.
      msi/tests: Build without -DWINE_NO_LONG_TYPES.
      msi/tests: Correctly free usersid.
      winhttp/tests: Remove unused include.
      winhttp/tests: Build without -DWINE_NO_LONG_TYPES.
      winhttp: Build without -DWINE_NO_LONG_TYPES.
      bcrypt/tests: Build without -DWINE_NO_LONG_TYPES.
      dnsapi: Build without -DWINE_NO_LONG_TYPES.
      msv1_0: Build without -DWINE_NO_LONG_TYPES.
      mscms: Build without -DWINE_NO_LONG_TYPES.

Henri Verbeet (9):
      wined3d: Introduce a wined3d_bo_gl_unmap() helper.
      wined3d: Use wined3d_bit_scan() in shader_generate_arb_declarations().
      wined3d: Use wined3d_bit_scan() in shader_arb_generate_pshader().
      d2d1: Return numeric configuration settings as uint32_t.
      d2d1/tests: Pass the hash size as DWORD in compare_sha1().
      d2d1/tests: Declare "level" as D3D_FEATURE_LEVEL in create_d3d11_device().
      wined3d: Use the chunk allocator for GL indirect draw buffers.
      d3d10: Return the read value from read_dword().
      d3d10: Store the type fields in parse_fx10_type() as uint32_t.

Hugh McMaster (1):
      kernelbase: Implement SetCurrentConsoleFontEx.

Huw D. M. Davies (1):
      mountmgr: Fix long type warning.

Jacek Caban (10):
      server: Allocate extra_bytes separately from window struct.
      server: Make window struct a server object.
      server: Keep a reference to parent in window objects.
      server: Don't immediately destroy child windows belonging to different thread in free_window_handle.
      server: Don't allow orphaned windows in set_parent request.
      server: Orphan child windows when unlinking them from parent.
      server: Don't allow creating children of orphaned windows.
      user32: Use a single lock in destroy_thread_windows.
      user32: Destroy window server objects from destroy_thread_windows.
      server: Store all 64 bits of window id.

Jactry Zeng (2):
      dwmapi: Correct parameter types of DwmGetColorizationColor().
      d2d1: Implement d2d_bitmap_CopyFromBitmap().

Jan Sikorski (3):
      wined3d: Use a separate heap for deferred resource upload buffers.
      wined3d: Reinitialize query pool's free list entry when it runs out.
      wined3d: Avoid waiting for a command buffer to finish executing to read off its queries.

Jinoh Kang (4):
      server: Allow calling async_handoff() with status code STATUS_ALERTED.
      server: Attempt to complete I/O request immediately in recv_socket.
      ntdll: Don't call try_recv before server call in sock_recv.
      server: Replace redundant recv_socket status fields with force_async boolean field.

Kevin Puetz (1):
      winegcc: --out-implib needs to propagate -m32/-m64 to winebuild.

Matteo Bruni (9):
      winhttp/tests: Fix typo in an ok() message.
      d3dcompiler: Use more consistent integer data types.
      d3d10: Get rid of a comment.
      d3d10: Use more consistent integer data types.
      d3dcompiler: Move read_u32() to a new utils.h private header.
      d3d10: Use read_u32() implementation from d3dcompiler.
      d3dcompiler: Move skip_u32_unknown() declaration to utils.h.
      wined3d: Improve comment in wined3d_query_vk_issue().
      wined3d: Skip non-color outputs in SM4 shader output mapping.

Michael Stefaniuc (19):
      dmsynth/tests: Build without -DWINE_NO_LONG_TYPES.
      dmusic/tests: Build without -DWINE_NO_LONG_TYPES.
      dmsynth: Build without -DWINE_NO_LONG_TYPES.
      dmusic: Build without -DWINE_NO_LONG_TYPES.
      dmusic: Don't trace both the This and iface pointers.
      dswave/tests: Build without -DWINE_NO_LONG_TYPES.
      dswave: Build without -DWINE_NO_LONG_TYPES.
      dmime: Fix the size of the DMUS_PORTPARAMS.
      dmime: The soft synth doesn't supports sharing the channel groups.
      dmsynth: Implement the synth's Open and Close methods.
      dmsynth/tests: Add some synth Open/Close tests.
      dmime/tests: Build without -DWINE_NO_LONG_TYPES.
      dmime: Build without -DWINE_NO_LONG_TYPES.
      dmband/tests: Build without -DWINE_NO_LONG_TYPES.
      dmband: Build without -DWINE_NO_LONG_TYPES.
      dmcompos/tests: Build without -DWINE_NO_LONG_TYPES.
      dmloader/tests: Build without -DWINE_NO_LONG_TYPES.
      dmscript/tests: Build without -DWINE_NO_LONG_TYPES.
      dmstyle/tests: Build without -DWINE_NO_LONG_TYPES.

Nikolay Sivov (41):
      scrrun: Fix long types warnings.
      rtworkq: Fix long types warnings.
      mf/tests: Remove remaining kernel32 heap calls.
      wshom: Fix long types warnings.
      evr: Fix long types warnings.
      evr/presenter: Initial implementation of GetCurrentImage().
      xmllite: Fix long types warnings.
      d3d11: Always initialize out view pointer in CreateShaderResourceView().
      d3d11: Always initialize out view pointer in CreateUnorderedAccessView().
      d3d11: Always initialize out view pointer in CreateDepthStencilView().
      t2embed: Fix long types warnings.
      scrrun/tests: Add some tests for DoOpenPipeStream().
      evr/mixer: Remove incorrect trace.
      kernel32: Add messages for some of the WSA error codes.
      msxml3: Fix long types warnings in traces.
      dxva2: Fix long types warnings in traces.
      dbgeng: Fix long types warnings in traces.
      comctl32: Fix long types warnings in traces.
      rtworkq/tests: Build without WINE_NO_LONG_TYPES.
      xmllite/tests: Build without WINE_NO_LONG_TYPES.
      mshtml: Implement layerX/layerY properties for mouse event.
      combase: Build without WINE_NO_LONG_TYPES.
      ole32: Build without WINE_NO_LONG_TYPES.
      evr/tests: Build without WINE_NO_LONG_TYPES.
      dbgeng/tests: Build without -DWINE_NO_LONG_TYPES.
      include: Update another HRESULT definition.
      opcservices: Build without -DWINE_NO_LONG_TYPES.
      opcservices/tests: Build without -DWINE_NO_LONG_TYPES.
      mfplat: Remove duplicated includes.
      mfplat: Implement MFCreateTempFile().
      mfplat: Better handle source resolution when content type is not specified for the stream.
      mfplay: Use resolver functionality for content type resolution.
      mfmediaengine: Use resolver functionality for content type resolution.
      mfreadwrite/reader: Use resolver functionality for content type resolution.
      mfplat: Implement MFAverageTimePerFrameToFrameRate().
      wshom/tests: Build without -DWINE_NO_LONG_TYPES.
      scrrun/tests: Build without -DWINE_NO_LONG_TYPES.
      shcore: Build without -DWINE_NO_LONG_TYPES.
      combase/tests: Build without -DWINE_NO_LONG_TYPES.
      mfplay/tests: Build without -DWINE_NO_LONG_TYPES.
      mfreadwrite/reader: Stop media source when shutdown is not allowed.

Paul Gofman (22):
      hnetcfg: Use CRT allocation functions.
      hnetcfg/tests: Add tests for static port mapping collection.
      hnetcfg: Return stub interface from upnpnat_get_StaticPortMappingCollection() if UPNP IGD is found.
      hnetcfg: Get gateway description location in init_gateway_connection().
      hnetcfg: Open connection to gateway in init_gateway_connection().
      hnetcfg: Get control URL for WANIPConnection service in init_gateway_connection().
      win32u: Use get_dc_obj() in GetDCHook() and SetDCHook().
      hnetcfg: Fix realloc handling in fw_app_put_ProcessImageFileName().
      hnetcfg: Get port mapping list in init_gateway_connection().
      hnetcfg: Implement static_ports_get_Item().
      hnetcfg: Implement static_ports_get_Count().
      hnetcfg: Implement static_ports__NewEnum().
      hnetcfg: Implement static_ports_Remove().
      hnetcfg: Implement static_ports_Add().
      winhttp: Use lock when attempting to send frame synchronously().
      hnetcfg: Don't use _GetValue() if text element is missing in get_xml_elements().
      hnetcfg: Handle NULL strings in update_mapping_list().
      hnetcfg/tests: Don't leak IEnumVARIANT reference in test_static_port_mapping_collection().
      hnetcfg/tests: Don't test removing the same mapping twice.
      server: Always update cached socket name after connect.
      ws2_32: Trace status on operation failure.
      wined3d: Use StretchBlt() in swapchain_blit_gdi().

Piotr Caban (29):
      msvcrt: Fix fmaf not to depend on rounding mode.
      msvcrt: Don't set SSE control word in _except1.
      msvcrt: Don't use fegetenv in nearbyint.
      msvcrt: Don't use fegetenv in nearbyintf.
      msvcrt: Use InitOnceExecuteOnce to allocate TLS index.
      ucrtbase: Add support for r-value demangling in unDName.
      msvcrt: Use %#I64x format in traces.
      msvcrt: Print 0x prefix with %#x format in traces.
      msvcp: Print 0x prefix with %#x format in traces.
      msvcp60: Use %Id format when tracing streamoff and streamsize.
      msvcp60: Remove STREAMSIZE_BITS definition.
      msvcp60: Remove code specific to newer versions of the dll.
      msvcp: Remove typos in mangled names.
      msvcp90: Remove STREAMSIZE_BITS definition.
      msvcp60: Remove basic_stringstream<wchar> code.
      msvcp60: Remove basic_istringstream<wchar> code.
      msvcp60: Remove basic_ostringstream<wchar> code.
      msvcp60: Remove basic_fstream<wchar> code.
      msvcp60: Remove basic_ifstream<wchar> code.
      msvcp60: Remove basic_ofstream<wchar> code.
      msvcp60: Remove basic_iostream<wchar> code.
      msvcp60: Remove basic_istream<wchar> code.
      msvcp60: Remove basic_ostream<wchar> code.
      msvcp60: Remove basic_streambuf<wchar> code.
      msvcp60: Remove basic_filebuf<wchar> code.
      msvcp60: Remove basic_streambuf<wchar> code.
      msvcp60: Remove basic_ios<wchar> code.
      msvcp60: Add missing exports.
      msvcp60: Remove unused functions from ios.c file.

Rémi Bernon (35):
      windows.gaming.input/tests: Fix printf warnings with long types.
      xinput1_3/tests: Fix printf warnings with long types.
      winebus.sys: Fix warnings with long integer types.
      hid: Fix printf format warnings with long types.
      hid: Use msvcrt allocation functions.
      user32/tests: Tweak window size to fix Win10 results.
      user32/tests: Ignore messages for UserAdapterWindowClass windows.
      user32/tests: Add proper tests for SetActiveWindow(0).
      user32/tests: Add some possible broken results on Win7.
      hidclass.sys: Fix printf format warnings with long types.
      winehid.sys: Fix printf format warnings with long types.
      winehid.sys: Build with nameless unions.
      winegstreamer: Stub implement WMA decoder DMO / MF transform.
      winegstreamer: Implement WMA decoder IMFTransform_SetInputType.
      winegstreamer: Implement WMA decoder GetOutputAvailableType.
      winegstreamer: Implement WMA decoder SetOutputType.
      winegstreamer: Implement WMA decoder GetOutputStreamInfo.
      winegstreamer: Implement WMA decoder GetInputStreamInfo.
      dinput/tests: Merge dinput8.c tests with dinput.c.
      dinput/tests: Add some CoCreateInstance and aggregation tests.
      dinput: Cleanup DllGetClassObject and IClassFactory implementation.
      dinput: Cleanup IDirectInputJoyConfig8 names and traces.
      dinput: Cleanup IDirectInput7W names and traces.
      dinput: Cleanup IDirectInput8W names and traces.
      user32/tests: Move test_mdi early in the test list.
      dinput: Rename IDirectInputImpl to struct dinput.
      dinput: Use consistent parameter names and types.
      dinput: Canonicalize DirectInput(8) instance creation.
      dinput: Fix printf warnings with long types.
      dinput/tests: Fix printf warnings with long types.
      user32/tests: Add a test for child window destruction on thread exit.
      mf/tests: Add some WMA encoder ProcessOutput tests.
      mf/tests: Add some WMA decoder ProcessInput tests.
      mf/tests: Add some WMA decoder ProcessOutput tests.
      mfreadwrite/reader: Use separate refcount for events callbacks.

Stefan Dösinger (13):
      d3d9/tests: Try to make test_cursor_pos more reliable.
      d3d8/tests: Try to make test_cursor_pos more reliable.
      d3d9/tests: Skip test_cursor_pos if we can't move the cursor.
      d3d8/tests: Skip test_cursor_pos if we can't move the cursor.
      d3d9/tests: Ignore random testbot failures in test_cursor.
      d3d8/tests: Ignore random testbot failures in test_cursor.
      ddraw/tests: Skip a crashy test on WARP.
      ddraw/tests: Disable color keying in ddraw1 test_texture_load.
      ddraw/tests: Mark random WARP behavior broken in test_ck_default.
      include: InterlockedExchangeAdd64 msvc intrinsic does not exist in x86.
      include: Remove an incorrect InterlockedCompareExchange128 function.
      makedep: Fix some signed vs unsigned msvc warnings.
      ddraw/tests: Account for random WARP behavior in test_texturemapblend.

Zebediah Figura (102):
      tiff: Explictly link to zlib.
      ntdll: Implement wcsnlen().
      kernelbase: Use wcsnlen().
      kernelbase: Use ntdll ctype functions.
      wined3d: Allow DISCARD maps to be accelerated even on 32-bit architectures.
      user32: Remove no longer needed assert() workarounds for MinGW.
      wininet: Use CHAR_BIT from msvcrt limits.h.
      winsta: Remove useless IDL attributes from TS_ALL_PROCESSES_INFO.
      user32/tests: Remove unnecessary redefinitions of SPI_GETDESKWALLPAPER.
      ws2_32/tests: Add tests for WSAStartup().
      ws2_32: Always fill the WSADATA structure in WSAStartup().
      ws2_32: Cap the negotiated winsock version to 1.1 or 2.2.
      ws2_32: Return 32767 or 0 in the iMaxSockets field.
      ws2_32: Return 65467 or 0 in the iMaxUdpDg field.
      ws2_32: Return WSAEFAULT instead of WSAEINVAL from WSAStartup() if "data" is NULL.
      shell32: Move file menu definitions to shlmenu.c.
      shell32: Move PIDL definitions from undocshell.h to pidl.h.
      shell32: Do not redefine SHCNRF_* flags.
      shell32: Move dialog definitions to dialog.c.
      shell32: Move IShellFolderViewCB definitions to shlview.c.
      quartz/vmr9: Get rid of a broken check for hardware acceleration support in VMR9DefaultAllocatorPresenterImpl_create().
      quartz/vmr9: Pass the already retrieved caps pointer to VMR9_SurfaceAllocator_SetAllocationSettings().
      quartz/filtergraph: Implement the IDispatch methods for IMediaControl.
      quartz/filtergraph: Implement the IDispatch methods for IMediaPosition.
      quartz/filtergraph: Implement the IDispatch methods for IMediaEvent.
      devenum: Build without -DWINE_NO_LONG_TYPES.
      shell32: Move SHWaitForFileToOpen() flags to shellord.c.
      shell32: Move RegisterShellHook() definitions to shellord.c.
      shell32: Move SHCreateLinks() flags to shlfolder.c.
      shell32: Move explorer window messages definitions to shell32_main.h.
      shell32: Move StrRetToStrN*() helpers to shell32_main.h.
      quartz/tests: Test more interfaces exposed by the filter graph.
      quartz/filtergraph: Remove "#if 1" from CheckCircularConnection().
      quartz/filtergraph: Remove redundant checks for pin direction from CheckCircularConnection().
      quartz/filtergraph: Clean up CheckCircularConnection().
      opencl: Rename cl_{enums,types} to header_{enums,types}.
      opencl: Factor out parse_feature().
      opencl: Export unsuffixed KHR_gl_sharing functions.
      winegstreamer: Build without -DWINE_NO_LONG_TYPES.
      winegstreamer: Constify some static variables.
      shlwapi: Use the public definition of shared shell memory allocation functions.
      shell32: Remove redundant definitions of undocumented shell functions.
      shell32/tests: Remove pointless redefinition of FOF_NORECURSION.
      quartz: Build without -DWINE_NO_LONG_TYPES.
      quartz: Use IMemAllocator::GetBuffer() directly.
      winegstreamer: Use IMemAllocator::GetBuffer() directly.
      amstream/tests: Use IMemAllocator::GetBuffer() directly.
      qcap/vfwcapture: Allow changing state while unconnected.
      qcap: Use IMemAllocator::GetBuffer() and IMediaSample::SetTime() directly.
      strmbase: Remove the no longer used BaseOutputPinImpl_GetDeliveryBuffer() helper.
      ws2_32: Avoid an unnecessary goto.
      ws2_32: Build without -DWINE_NO_LONG_TYPES.
      d2d1/tests: Don't run the 32-bit tests multithreaded.
      d3d10core/tests: Don't run the 32-bit tests multithreaded.
      d3d11/tests: Don't run the 32-bit tests multithreaded.
      dxgi/tests: Don't run the 32-bit tests multithreaded.
      setupapi/tests: Test queuing the same copy operation twice.
      setupapi/tests: Add more tests for SetupInstallFilesFromInfSection().
      setupapi: Use the source path if the target path is missing in SetupQueueRename().
      setupapi: Also handle DelFiles and RenFiles directives in SetupInstallFilesFromInfSection().
      setupapi: Use SetupInstallFilesFromInfSectionW() in SetupInstallFromInfSectionW().
      d3dx9: Implement D3DXSHProjectCubeMap().
      winegstreamer: Release stream_cs on error in stream_thread().
      qcap: Use CoCreateInstance() directly instead of BaseOutputPinImpl_InitAllocator().
      amstream/tests: Use CoCreateInstance() directly instead of BaseOutputPinImpl_InitAllocator().
      strmbase: Get rid of the BaseOutputPinImpl_InitAllocator() helper.
      maintainers: Remove wineqtdecoder.
      strmbase: Build without -DWINE_NO_LONG_TYPES.
      wined3d: Use the chunk allocator for GL atomic counter buffers.
      wined3d: Use the chunk allocator for GL pixel unpack buffers.
      qasf: Build without -DWINE_NO_LONG_TYPES.
      qcap: Build without -DWINE_NO_LONG_TYPES.
      qdvd: Build without -DWINE_NO_LONG_TYPES.
      shlwapi/tests: Link directly to Url*() functions.
      shlwapi/tests: Get rid of the redundant "expectret" field of TEST_URL_CANONICALIZE.
      shlwapi/tests: Get rid of the redundant "expectret" field of TEST_URL_COMBINE.
      shlwapi/tests: Get rid of the redundant "expectret" and "expectescaped" fields of TEST_ESCAPE.
      shlwapi/tests: Get rid of the redundant "expectret" field of TEST_ESCAPEW.
      d3dx9: Return D3DERR_INVALIDCALL from ID3DXEffect::BeginPass() if the effect is not started.
      d3dx9: Pass the "flags" argument to D3DXFXCreateEffectEx() as compiler flags, not effect flags.
      d3dx9: Don't mark annotation variables as dirty.
      d3dx9/tests: Test setting annotation values.
      qedit: Build without -DWINE_NO_LONG_TYPES.
      wined3d: Use the chunk allocator for GL texture buffers.
      wined3d: Use the chunk allocator for GL uniform buffers.
      ws2_32/tests: Cancel a call that currently incorrectly returns STATUS_PENDING.
      wined3d: Initialize map_ptr to NULL in wined3d_context_vk_create_slab_bo().
      wined3d: Set resource->client.addr in buffer_resource_sub_resource_map() only if persistently mapping.
      wined3d: Call wined3d_context_unmap_bo_address() when updating a buffer BO.
      ws2_32/tests: Use winetest_push_context() in test_WSAStringToAddress().
      ws2_32/tests: Do not use a loop to test ASCII and Unicode in test_WSAAddressToString().
      ws2_32/tests: Use winetest_push_context() in test_WSAAddressToString().
      ws2_32/tests: Use winetest_push_context() in test_inet_pton().
      include: Define NTSTATUS fields using int in afd.h.
      shlwapi/tests: Remove workarounds from url.c for no longer supported Windows versions.
      shlwapi/tests: Use wide character string literals in url.c.
      shlwapi/tests: Simplify length calculation in test_UrlApplyScheme().
      shlwapi/tests: Put the UrlGetPart() tests in a table.
      shlwapi/tests: Add more tests for UrlGetPart().
      wined3d: Always set map_ptr for mapped OpenGL BOs.
      wined3d: Introduce wined3d_lock_init() and wined3d_lock_cleanup() helpers.
      wined3d: Always submit UPDATE_SUB_RESOURCE ops when uploading if not mapping persistently.

Zhiyi Zhang (24):
      comctl32/treeview: Support HiDPI for unthemed item check boxes.
      comctl32/treeview: Use DFCS_MONO style for item check boxes.
      uxtheme/tests: Test more WM_CTLCOLOR* messages for dialog theming.
      uxtheme: Use tab background as dialog texture for more WM_CTLCOLOR* messages.
      comctl32/tests: Add themed background tests.
      comctl32/trackbar: Always use brush from WM_CTLCOLORSTATIC to fill background.
      comctl32/button: Use the brush from WM_CTLCOLORBTN to fill background for push buttons.
      comctl32/button: Use the brush from WM_CTLCOLORSTATIC to fill background for checkboxes and radio buttons.
      comctl32/button: Use the brush from WM_CTLCOLORSTATIC to fill text background for group boxes.
      comctl32/tests: Fix occasional test failures on TestBot w7u_2qxl.
      comctl32/tab: Always draw parent background when themed.
      user32/tests: Test scroll bars use COLOR_BTNFACE instead of COLOR_SCROLLBAR to fill background.
      user32: Use COLOR_BTNFACE to fill scroll bar background.
      uxtheme: Use COLOR_BTNFACE to fill scroll bar background.
      comctl32/treeview: Do not draw client edge without WS_EX_CLIENTEDGE.
      comctl32/button: Use pressed state when a pushlike checkbox or radio button is checked and hovered.
      light.msstyles: Use stretch sizing type for scroll bar arrow button background.
      light.msstyles: Adjust scroll bar arrow width and height to 17 pixels.
      light.msstyles: Fill checkbox background with white pixels.
      light.msstyles: Fill radio button background with white pixels.
      light.msstyles: Fill combo box background with white pixels.
      light.msstyles: Do not use transparent tab pane edges.
      light.msstyles: Do not use transparent edges for trackbar horizontal and vertical thumb.
      light.msstyles: Do not use transparent treeview parts.

--
Alexandre Julliard
julliard@winehq.org
